PUSHPIN-CONNMGR(1)

NAME
pushpin-connmgr - HTTP/WebSocket connection manager

SYNOPSIS
pushpin-connmgr [OPTIONS]

DESCRIPTION
HTTP/WebSocket connection manager

OPTIONS

--log-level <N>

    Log level [default: 2]

--id <ID>

    Instance ID [default: connmgr]

--workers <N>

    Number of worker threads [default: 2]

--req-maxconn <N>

    Maximum number of concurrent connections in req mode [default: 100]

--stream-maxconn <N>

    Maximum number of concurrent connections in stream mode [default: 10000]

--buffer-size <N>

    Connection buffer size (two buffers per connection) [default: 8192]

--body-buffer-size <N>

    Body buffer size for connections in req mode [default: 100000]

--blocks-max <N>

    Maximum number of buffer blocks in stream mode (minimum 2*maxconn)

--connection-blocks-max <N>

    Maximum number of buffer blocks per connection in stream mode (minimum 2) [default: 2]

--messages-max <N>

    Maximum number of queued WebSocket messages per connection [default: 100]

--req-timeout <N>

    Connection timeout in req mode (seconds) [default: 30]

--stream-timeout <N>

    Connection timeout in stream mode (seconds) [default: 1800]

--listen <[addr:]port[,params...]>

    Port to listen on

--zclient-req <spec>

    ZeroMQ client REQ spec [default: ipc://client]

--zclient-stream <spec-base>

    ZeroMQ client PUSH/ROUTER/SUB spec base [default: ipc://client]

--zclient-connect

    ZeroMQ client sockets should connect instead of bind

--zserver-req <spec>

    ZeroMQ server REQ spec

--zserver-stream <spec-base>

    ZeroMQ server PULL/ROUTER/PUB spec base

--zserver-connect

    ZeroMQ server sockets should connect instead of bind

--ipc-file-mode <octal>

    Permissions for ZeroMQ IPC binds

--tls-identities-dir <directory>

    Directory containing certificates and private keys [default: .]

--compression

    Allow compression to be used

--deny-out-internal

    Block outbound connections to local/internal IP address ranges

--sizes

    Prints sizes of tasks and other objects

-h, --help

    Print help

-V, --version

    Print version